# RaidTriggerEvent (Scissors-API 1.19.3-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.event.raid, class: RaidTriggerEvent

Package org.bukkit.event.raid

# Class RaidTriggerEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent
org.bukkit.event.raid.RaidEvent
org.bukkit.event.raid.RaidTriggerEvent

All Implemented Interfaces:
  `Cancellable`

public class RaidTriggerEvent extends RaidEvent implements Cancellable
Called when a `Raid` is triggered (e.g: a player with Bad Omen effect enters a village).

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`RaidTriggerEvent(@NotNull Raid raid, @NotNull World world, @NotNull Player player)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Player`
`getPlayer()`
Returns the player who triggered the raid.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.raid.RaidEvent

`getRaid`

### Methods inherited from class org.bukkit.event.world.WorldEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RaidTriggerEvent

public RaidTriggerEvent(@NotNull @NotNull Raid raid, @NotNull @NotNull World world, @NotNull @NotNull Player player)

## Method Details

### getPlayer

@NotNull public @NotNull Player getPlayer()
Returns the player who triggered the raid.

Returns:
  triggering player

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()